# Class AnthropicModel | AnthropicClient
Represents an Anthropic model.

# Class AnthropicModel

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents an Anthropic model.

    public class AnthropicModel

Inheritance
  object
  AnthropicModel

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Properties

### CreatedAt

The created date of the model.

    [JsonPropertyName("created_at")]
    public DateTimeOffset CreatedAt { get; init; }

#### Property Value

DateTimeOffset

### DisplayName

The display name of the model.

    [JsonPropertyName("display_name")]
    public string DisplayName { get; init; }

#### Property Value

string

### Id

The id of the model.

    public string Id { get; init; }

#### Property Value

string

### Type

The type of the model.

    public string Type { get; init; }

#### Property Value

string